> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monumint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Lead Documents

> Fetch all documents associated with a specific lead

This endpoint fetches all documents associated with a specific lead.

## Path Parameters

**leadId** `string` *required*

The unique identifier of the lead

## Response

**documents** `array`

Array of document objects

**documents**

**id** `string`

Unique identifier for the document

**filename** `string`

Original filename of the document

**mimeType** `string`

MIME type of the document (e.g., "application/pdf", "image/jpeg")

**size** `number`

File size in bytes

**signedUrl** `string`

Pre-signed URL for accessing the document (expires after 1 hour)

**metadata** `object`

Document metadata including processing status

**metadata**

**extractionStatus** `string`

Status of the extraction (e.g., "completed")

**Matched checklist items** `array`

Array of checklist items this document is matched to

**Matched checklist items**

**leadChecklistItemId** `string`

ID of the matched checklist item

**label** `string`

Label of the matched checklist item

**leadChecklistItemDocument** `array`

Array of checklist item document associations with validation results

**leadChecklistItemDocument**

**id** `string`

Unique identifier for the checklist item document association

**leadChecklistItemId** `string`

ID of the checklist item this document is associated with

**documentId** `string`

ID of the document

**overallValid** `boolean`

Whether the document passed overall validation

**validationResult** `object`

Detailed validation result for the document

**validationResult**

**otherNotes** `string`

Additional notes about the validation

**overallValid** `boolean`

Whether the document passed overall validation

**validationResults** `array`

Array of individual validation rule results

**validationResults**

**isValid** `boolean`

Whether this validation rule passed

**ruleName** `string`

Name of the validation rule

**isValidReason** `string`

Reason explaining why the rule passed or failed

> [!NOTE]
>
> Signed URLs expire after 1 hour. Use [Get Document API
> ](https://docs.monumint.com/api-reference/documents/get-document.md) to get a fresh signed URL.

```javascript Node.js theme={null}
const leadId = '4ef30123-90c2-4dc0-bd28-b43eee8664ea';
const options = {
  method: 'GET',
  headers: {
    'x-api-key': '<your-api-key>',
  },
};

fetch(`https://api-v2.getomni.ai/api/v1/leads/${leadId}/documents`, options)
  .then((response) => response.json())
  .then((response) => console.log(response))
  .catch((err) => console.error(err));
```

```python Python theme={null}
import requests

lead_id = '4ef30123-90c2-4dc0-bd28-b43eee8664ea'
url = f"https://api-v2.getomni.ai/api/v1/leads/{lead_id}/documents"
headers = {
    "x-api-key": "<your-api-key>"
}

response = requests.request("GET", url, headers=headers)
print(response.json())
```

```bash cURL theme={null}
curl --request GET \
  --url https://api-v2.getomni.ai/api/v1/leads/4ef30123-90c2-4dc0-bd28-b43eee8664ea/documents \
  --header 'x-api-key: <your-api-key>'
```

```json 200 theme={null}
[
  {
    "id": "4fa0d0de-6958-4d1f-9468-ebb8629eae8c",
    "filename": "vital-checking-june-25.pdf",
    "mimeType": "application/pdf",
    "size": 153143,
    "metadata": {
      "extractionStatus": "completed",
      "Matched checklist items": [
        {
          "leadChecklistItemId": "fb6c17f3-4d7e-4979-a262-9c287ae0e6dd",
          "label": "Bank Statements"
        }
      ]
    },
    "signedUrl": "https://omniai-server-v2-prod.s3.us-east-2.amazonaws.com/...",
    "leadChecklistItemDocument": [
      {
        "id": "0e66ab12-af87-4dbc-956a-2063b4ecb552",
        "leadChecklistItemId": "fb6c17f3-4d7e-4979-a262-9c287ae0e6dd",
        "documentId": "4fa0d0de-6958-4d1f-9468-ebb8629eae8c",
        "overallValid": true,
        "validationResult": {
          "otherNotes": "",
          "overallValid": true,
          "validationResults": [
            {
              "isValid": true,
              "ruleName": "Files must be business bank statements",
              "isValidReason": "The document is a business bank statement..."
            }
          ]
        }
      }
    ]
  }
]
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.